TypedQuery
Date: 2016-06-24

javax.persistence

## Interface TypedQuery<X>

- All Superinterfaces:
    Query

      public interface TypedQuery<X>
      extends Query

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<X>` | `getResultList()`
    `X` | `getSingleResult()`
    `TypedQuery<X>` | `setFirstResult(int startPosition)`
    `TypedQuery<X>` | `setFlushMode(FlushModeType flushMode)`
    `TypedQuery<X>` | `setHint(java.lang.String hintName, java.lang.Object value)`
    `TypedQuery<X>` | `setLockMode(LockModeType lockMode)`
    `TypedQuery<X>` | `setMaxResults(int maxResult)`
    `TypedQuery<X>` | `setParameter(int position, java.util.Calendar value, TemporalType temporalType)`
    `TypedQuery<X>` | `setParameter(int position, java.util.Date value, TemporalType temporalType)`
    `TypedQuery<X>` | `setParameter(int position, java.lang.Object value)`
    `TypedQuery<X>` | `setParameter(Parameter<java.util.Calendar> param, java.util.Calendar value, TemporalType temporalType)`
    `TypedQuery<X>` | `setParameter(Parameter<java.util.Date> param, java.util.Date value, TemporalType temporalType)`
    `<T> TypedQuery<X>` | `setParameter(Parameter<T> param, T value)`
    `TypedQuery<X>` | `setParameter(java.lang.String name, java.util.Calendar value, TemporalType temporalType)`
    `TypedQuery<X>` | `setParameter(java.lang.String name, java.util.Date value, TemporalType temporalType)`
    `TypedQuery<X>` | `setParameter(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from interface javax.persistence.Query

      `executeUpdate, getFirstResult, getFlushMode, getHints, getLockMode, getMaxResults, getParameter, getParameter, getParameter, getParameter, getParameters, getParameterValue, getParameterValue, getParameterValue, isBound, unwrap`

- - ### Method Detail

    - #### getResultList

          java.util.List<X> getResultList()

      Specified by:
        `getResultList` in interface `Query`

    - #### getSingleResult

          X getSingleResult()

      Specified by:
        `getSingleResult` in interface `Query`

    - #### setMaxResults

          TypedQuery<X> setMaxResults(int maxResult)

      Specified by:
        `setMaxResults` in interface `Query`

    - #### setFirstResult

          TypedQuery<X> setFirstResult(int startPosition)

      Specified by:
        `setFirstResult` in interface `Query`

    - #### setHint

          TypedQuery<X> setHint(java.lang.String hintName,
                              java.lang.Object value)

      Specified by:
        `setHint` in interface `Query`

    - #### setParameter

          <T> TypedQuery<X> setParameter(Parameter<T> param,
                                       T value)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(Parameter<java.util.Calendar> param,
                                   java.util.Calendar value,
                                   TemporalType temporalType)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(Parameter<java.util.Date> param,
                                   java.util.Date value,
                                   TemporalType temporalType)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(java.lang.String name,
                                   java.lang.Object value)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(java.lang.String name,
                                   java.util.Calendar value,
                                   TemporalType temporalType)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(java.lang.String name,
                                   java.util.Date value,
                                   TemporalType temporalType)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(int position,
                                   java.lang.Object value)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(int position,
                                   java.util.Calendar value,
                                   TemporalType temporalType)

      Specified by:
        `setParameter` in interface `Query`

    - #### setParameter

          TypedQuery<X> setParameter(int position,
                                   java.util.Date value,
                                   TemporalType temporalType)

      Specified by:
        `setParameter` in interface `Query`

    - #### setFlushMode

          TypedQuery<X> setFlushMode(FlushModeType flushMode)

      Specified by:
        `setFlushMode` in interface `Query`

    - #### setLockMode

          TypedQuery<X> setLockMode(LockModeType lockMode)

      Specified by:
        `setLockMode` in interface `Query`